| Home | Libraries | People | FAQ | More

###### any_connection::any_connection (2 of 3 overloads)

Constructs a connection object from an execution context and an optional set of parameters.

###### Synopsis

    template<
        class ExecutionContext>
    any_connection(
        ExecutionContext& ctx,
        any_connection_params params = {});

###### Description

The resulting connection has `this->get_executor() == ctx.get_executor()`. Any internally required I/O objects will be constructed using this executor.

You can configure extra parameters, like the SSL context and buffer sizes, by passing an `any_connection_params` object to this constructor.

This function participates in overload resolution only if `ExecutionContext` satisfies the `ExecutionContext` requirements imposed by Boost.Asio.